//
// Created by webpigeon on 29/12/22.
//

#ifndef COMP290_WORKSHEETS_LAB2_HPP
#define COMP290_WORKSHEETS_LAB2_HPP

#include <vector>

/**
 * Calculate the average value of a vector of ints.
 *
 * @param numbers the numbers to calculate
 * @return the average of the input values
 */
float calcAverage(std::vector<int> numbers);

/**
 * Calculate the average value of a vector of ints.
 *
 * This version avoids modifying the vector, so doesn't have the overheads associated with that. It's here as a
 * 'reasonable' approach to the problem. Assuming you can't calculate the sum as you go and avoid the need for
 * the vector all-together...
 *
 * @param numbers the numbers to calculate
 * @return the average of the input values
 */
float calcAverageFast(const std::vector<int>& numbers);

#endif //COMP290_WORKSHEETS_LAB2_HPP
